Index: /trunk/LMDZ.TITAN/libf/phytitan/mass_redistribution.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/mass_redistribution.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/mass_redistribution.F90	(revision 1647)
@@ -1,8 +1,7 @@
 SUBROUTINE mass_redistribution(ngrid,nlayer,nq,ptimestep,   &
-                       rnat,pcapcal,pplay,pplev,pt,ptsrf,pq,pqs,     &
+                       pcapcal,pplay,pplev,pt,ptsrf,pq,pqs,     &
 		       pu,pv,pdt,pdtsrf,pdq,pdu,pdv,pdmassmr,  &
 		       pdtmr,pdtsrfmr,pdpsrfmr,pdumr,pdvmr,pdqmr,pdqsmr)
                                                    
-       USE watercommon_h, Only: Tsat_water,RLVTT
        use surfdat_h
        use radcommon_h, only: glat
@@ -10,5 +9,4 @@
        USE planete_mod, only: bp
        use comcstfi_mod, only: g
-       USE callkeys_mod, ONLY: water
        
        IMPLICIT NONE
@@ -57,6 +55,5 @@
       INTEGER ngrid, nlayer, nq   
       REAL ptimestep
-      REAL pcapcal(ngrid)
-      INTEGER rnat(ngrid)      
+      REAL pcapcal(ngrid)   
       REAL pplay(ngrid,nlayer),pplev(ngrid,nlayer+1)
       REAL pt(ngrid,nlayer),pdt(ngrid,nlayer)
@@ -76,5 +73,5 @@
 
 !    Boiling/sublimation
-      REAL Tsat(ngrid),zmassboil(ngrid)
+      REAL zmassboil(ngrid)
 
 !    vertical reorganization of sigma levels
@@ -132,27 +129,4 @@
 
 
-      if (water) then
-         do ig=1,ngrid
-	    call Tsat_water(pplev(ig,1)+zdmass_sum(ig,1)*g*ptimestep,Tsat(ig))
-	 enddo
-               call writediagfi(ngrid,'Tsat','saturation temperature at surface','',2,Tsat)
-	 
-         do ig=1,ngrid
-	    if (ztsrf(ig).gt.Tsat(ig)) then
-	       zmassboil(ig)=(ptsrf(ig)-Tsat(ig))*pcapcal(ig)/RLVTT/ptimestep
-	       if ((zmassboil(ig)*ptimestep.gt.pqs(ig,igcm_h2o_vap)).and.(rnat(ig).eq.1)) then
-	          zmassboil(ig)=pqs(ig,igcm_h2o_vap)/ptimestep
-	       endif
-	       zmassboil(ig)=zmassboil(ig)*0.0 !momentary, should be 1. JL12
-               pdqsmr(ig,igcm_h2o_vap)=-zmassboil(ig)
-	       pdtsrfmr(ig)=-zmassboil(ig)*RLVTT/pcapcal(ig)
-	       ztsrf(ig)=ptsrf(ig)+pdtsrfmr(ig)*ptimestep
-	    else
-	       zmassboil(ig)=0.
-	       pdtsrfmr(ig)=0.
-	    endif
-	 enddo
-      endif
-
 !     *************************
 !           UPDATE SURFACE
@@ -219,5 +193,4 @@
          zvm(1) = 0.  
          zqm(1,1:nq)=0. ! most tracer do not condense !
-         if (water) zqm(1,igcm_h2o_vap)=1. ! flux is 100% h2o at surface
 	 
 !        Van Leer scheme:
Index: /trunk/LMDZ.TITAN/libf/phytitan/optci.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1647)
@@ -7,5 +7,5 @@
   use gases_h
   use comcstfi_mod, only: g, r, mugaz
-  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple
+  use callkeys_mod, only: continuum,graybody
   implicit none
 
@@ -77,17 +77,4 @@
   integer interm
 
-  !--- Kasting's CIA ----------------------------------------
-  !real*8, parameter :: Ci(L_NSPECTI)=[                         &
-  !     3.8E-5, 1.2E-5, 2.8E-6, 7.6E-7, 4.5E-7, 2.3E-7,    &
-  !     5.4E-7, 1.6E-6, 0.0,                               &
-  !     0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,            & 
-  !     0.0, 4.0E-7, 4.0E-6, 1.4E-5,    &
-  !     1.0E-5, 1.2E-6, 2.0E-7, 5.0E-8, 3.0E-8, 0.0 ] 
-  !real*8, parameter :: Ti(L_NSPECTI)=[ -2.2, -1.9,             &
-  !     -1.7, -1.7, -1.7, -1.7, -1.7, -1.7,                &
-  !     0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, &
-  !     -1.7,-1.7,-1.7,-1.7,-1.7,-1.7,-1.7, -1.7,0.0 ]
-  !----------------------------------------------------------
-
   !! AS: to save time in computing continuum (see bilinearbig)
   IF (.not.ALLOCATED(indi)) THEN
@@ -107,23 +94,8 @@
      DPR(k) = PLEV(K)-PLEV(K-1)
 
-     !--- Kasting's CIA ----------------------------------------
-     !dz(k)=dpr(k)*189.02*TMID(K)/(0.03720*PMID(K))
-     ! this is CO2 path length (in cm) as written by Francois
-     ! delta_z = delta_p * R_specific * T / (g * P)
-     ! But Kasting states that W is in units of _atmosphere_ cm
-     ! So we do
-     !dz(k)=dz(k)*(PMID(K)/1013.25)
-     !dz(k)=dz(k)/100.0 ! in m for SI calc
-     !----------------------------------------------------------
-
      ! if we have continuum opacities, we need dz
-     if(kastprof)then
-        dz(k) = dpr(k)*(1000.0d0*8.3145d0/muvar(k))*TMID(K)/(g*PMID(K))
-        U(k)  = Cmk*DPR(k)*mugaz/muvar(k) 
-     else
-        dz(k) = dpr(k)*R*TMID(K)/(glat_ig*PMID(K))*mugaz/muvar(k)
-        U(k)  = Cmk*DPR(k)*mugaz/muvar(k)     ! only Cmk line in optci.F  
+      dz(k) = dpr(k)*R*TMID(K)/(glat_ig*PMID(K))*mugaz/muvar(k)
+      U(k)  = Cmk*DPR(k)*mugaz/muvar(k)     ! only Cmk line in optci.F  
 	    !JL13 the mugaz/muvar factor takes into account water meanmolecular weight if water is present
-     endif
 
      call tpindex(PMID(K),TMID(K),QVAR(K),pfgasref,tgasref,WREFVAR, &
@@ -185,22 +157,7 @@
                        call interpolateN2H2(wn_cont,T_cont,p_cross,p_cont,dtempc,.false.,interm)
                        indi(nw,igas,jgas) = interm
-                    elseif(jgas.eq.igas_He)then 
-                       interm = indi(nw,igas,jgas)
-                       call interpolateH2He(wn_cont,T_cont,p_cross,p_cont,dtempc,.false.,interm)
-                       indi(nw,igas,jgas) = interm
                     endif
                     dtemp = dtemp + dtempc
                  enddo
-
-              elseif(igas.eq.igas_H2O.and.T_cont.gt.200.0)then
-
-                 p_air = dble(PMID(k)*scalep) - p_cont ! note assumes background is air!
-                 if(H2Ocont_simple)then
-                    call interpolateH2Ocont_PPC(wn_cont,T_cont,p_cont,p_air,dtemp,.false.)
-                 else
-                    interm = indi(nw,igas,igas)
-                    call interpolateH2Ocont_CKD(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm)
-                    indi(nw,igas,igas) = interm
-                 endif
 
               endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1647)
@@ -7,5 +7,5 @@
   use gases_h
   use comcstfi_mod, only: g, r, mugaz
-  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple,callgasvis
+  use callkeys_mod, only: continuum,graybody,callgasvis
 
   implicit none
@@ -106,12 +106,9 @@
 
      ! if we have continuum opacities, we need dz
-     if(kastprof)then
-        dz(k) = dpr(k)*(1000.0d0*8.3145d0/muvar(k))*TMID(K)/(g*PMID(K))
-        U(k)  = Cmk*DPR(k)*mugaz/muvar(k) 
-     else
-        dz(k) = dpr(k)*R*TMID(K)/(glat_ig*PMID(K))*mugaz/muvar(k)
-        U(k)  = Cmk*DPR(k)*mugaz/muvar(k)     ! only Cmk line in optci.F  
-	    !JL13 the mugaz/muvar factor takes into account water meanmolecular weight if water is present
-     endif
+
+      dz(k) = dpr(k)*R*TMID(K)/(glat_ig*PMID(K))*mugaz/muvar(k)
+      U(k)  = Cmk*DPR(k)*mugaz/muvar(k)     ! only Cmk line in optci.F  
+	  !JL13 the mugaz/muvar factor takes into account water meanmolecular weight if water is present
+     
 
      call tpindex(PMID(K),TMID(K),QVAR(K),pfgasref,tgasref,WREFVAR, &
@@ -186,22 +183,7 @@
                        indv(nw,igas,jgas) = interm
                        ! should be irrelevant in the visible
-                    elseif(jgas.eq.igas_He)then 
-                       interm = indv(nw,igas,jgas)
-                       call interpolateH2He(wn_cont,T_cont,p_cross,p_cont,dtempc,.false.,interm)
-                       indv(nw,igas,jgas) = interm
                     endif
                     dtemp = dtemp + dtempc
                  enddo
-
-              elseif(igas.eq.igas_H2O.and.T_cont.gt.200.0)then
-
-                 p_air = dble(PMID(k)*scalep) - p_cont ! note assumes background is air!
-                 if(H2Ocont_simple)then
-                    call interpolateH2Ocont_PPC(wn_cont,T_cont,p_cont,p_air,dtemp,.false.)
-                 else
-                    interm = indv(nw,igas,igas)
-                    call interpolateH2Ocont_CKD(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm)
-                    indv(nw,igas,igas) = interm
-                 endif
 
               endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1647)
@@ -1,6 +1,5 @@
 subroutine phyetat0 (ngrid,nlayer,fichnom,tab0,Lmodif,nsoil,nq, &
                      day_ini,time,tsurf,tsoil, &
-                     emis,q2,qsurf,cloudfrac,totcloudfrac,hice, &
-                     rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+                     emis,q2,qsurf)
 
 
@@ -10,6 +9,4 @@
                      get_field, get_var, inquire_field, &
                      inquire_dimension, inquire_dimension_length
-  use slab_ice_h, only: noceanmx
-  use callkeys_mod, only: CLFvarying
 
   implicit none
@@ -45,10 +42,4 @@
   real,intent(out) :: q2(ngrid,nlayer+1) ! 
   real,intent(out) :: qsurf(ngrid,nq) ! tracers on surface
-! real co2ice(ngrid) ! co2 ice cover
-  real,intent(out) :: cloudfrac(ngrid,nlayer)
-  real,intent(out) :: hice(ngrid), totcloudfrac(ngrid)
-  real,intent(out) :: pctsrf_sic(ngrid),tslab(ngrid,noceanmx)  
-  real,intent(out) :: tsea_ice(ngrid),sea_ice(ngrid)
-  real,intent(out) :: rnat(ngrid)
 
 !======================================================================
@@ -56,5 +47,4 @@
 
 !      INTEGER radpas
-!      REAL co2_ppm
 !      REAL solaire
 
@@ -250,115 +240,4 @@
              minval(emis), maxval(emis)
 endif
-
-! Cloud fraction (added by BC 2010)
-if (CLFvarying) then
-call get_field("cloudfrac",cloudfrac,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <cloudfrac>"
-  call abort
-else
-  write(*,*) "phyetat0: Cloud fraction <cloudfrac> range:", &
-             minval(cloudfrac), maxval(cloudfrac)
-endif
-else
-cloudfrac(:,:)=0.0
-endif
-
-! Total cloud fraction (added by BC 2010)
-if (CLFvarying) then
-call get_field("totcloudfrac",totcloudfrac,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <totcloudfrac>"
-  call abort
-else
-  write(*,*) "phyetat0: Total cloud fraction <totcloudfrac> range:", &
-             minval(totcloudfrac), maxval(totcloudfrac)
-endif
-else
-totcloudfrac(:)=0.0
-endif
-
-! Height of oceanic ice (added by BC 2010)
-call get_field("hice",hice,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <hice>"
-!  call abort
-      do ig=1,ngrid
-      hice(ig)=0.
-      enddo
-else
-  write(*,*) "phyetat0: Height of oceanic ice <hice> range:", &
-             minval(hice), maxval(hice)
-endif
-
-! SLAB OCEAN (added by BC 2014)
-! nature of the surface
-call get_field("rnat",rnat,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <rnat>"
-      do ig=1,ngrid
-        rnat(ig)=1.
-      enddo
-else
-      do ig=1,ngrid
-        if((nint(rnat(ig)).eq.2).or.(nint(rnat(ig)).eq.0))then
-          rnat(ig)=0.
-        else
-          rnat(ig)=1.
-        endif      
-      enddo
-
-  write(*,*) "phyetat0: Nature of surface <rnat> range:", &
-             minval(rnat), maxval(rnat)
-endif
-! Pourcentage of sea ice cover
-call get_field("pctsrf_sic",pctsrf_sic,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <pctsrf_sic>"
-      do ig=1,ngrid
-      pctsrf_sic(ig)=0.
-      enddo
-else
-  write(*,*) "phyetat0: Pourcentage of sea ice cover <pctsrf_sic> range:", &
-             minval(pctsrf_sic), maxval(pctsrf_sic)
-endif
-! Slab ocean temperature (2 layers)
-call get_field("tslab",tslab,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <tslab>"
-      do ig=1,ngrid
-      do iq=1,noceanmx
-      tslab(ig,iq)=tsurf(ig)
-      enddo
-      enddo
-else
-  write(*,*) "phyetat0: Slab ocean temperature <tslab> range:", &
-             minval(tslab), maxval(tslab)
-endif
-! Oceanic ice temperature
-call get_field("tsea_ice",tsea_ice,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <tsea_ice>"
-      do ig=1,ngrid
-      tsea_ice(ig)=273.15-1.8
-      enddo
-else
-  write(*,*) "phyetat0: Oceanic ice temperature <tsea_ice> range:", &
-             minval(tsea_ice), maxval(tsea_ice)
-endif
-!  Oceanic ice quantity (kg/m^2)
-call get_field("sea_ice",sea_ice,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <sea_ice>"
-      do ig=1,ngrid
-      tsea_ice(ig)=0.
-      enddo
-else
-  write(*,*) "phyetat0: Oceanic ice quantity <sea_ice> range:", &
-             minval(sea_ice), maxval(sea_ice)
-endif
-
-
-
 
 ! pbl wind variance
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1647)
@@ -135,13 +135,9 @@
 
 subroutine physdem1(filename,nsoil,ngrid,nlay,nq, &
-                    phystep,time,tsurf,tsoil,emis,q2,qsurf, &
-                    cloudfrac,totcloudfrac,hice, &
-                    rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+                    phystep,time,tsurf,tsoil,emis,q2,qsurf)
   ! write time-dependent variable to restart file
   use iostart, only : open_restartphy, close_restartphy, & 
                       put_var, put_field
   use tracer_h, only: noms
-  use slab_ice_h, only: noceanmx
-  use callkeys_mod, only: ok_slab_ocean
 
   implicit none
@@ -159,12 +155,4 @@
   real,intent(in) :: q2(ngrid,nlay+1)
   real,intent(in) :: qsurf(ngrid,nq)
-  real,intent(in) :: cloudfrac(ngrid,nlay)
-  real,intent(in) :: totcloudfrac(ngrid)
-  real,intent(in) :: hice(ngrid)
-  real,intent(in) :: rnat(ngrid)
-  real,intent(in) :: pctsrf_sic(ngrid)
-  real,intent(in) :: tslab(ngrid,noceanmx)
-  real,intent(in) :: tsea_ice(ngrid)
-  real,intent(in) :: sea_ice(ngrid)
 
   integer :: iq
@@ -189,19 +177,4 @@
   call put_field("q2","pbl wind variance",q2)
   
-! cloud fraction and sea ice (NB: these should be optional... to be improved)
-  call put_field("cloudfrac","Cloud fraction",cloudfrac)
-  call put_field("totcloudfrac","Total fraction",totcloudfrac)
-  call put_field("hice","Height of oceanic ice",hice)
-
- !Slab ocean 
- if(ok_slab_ocean) then
-   call put_field("rnat","Nature of surface",rnat)
-   call put_field("pctsrf_sic","Pourcentage sea ice",pctsrf_sic)
-   call put_field("tslab","Temperature slab ocean",tslab)
-   call put_field("tsea_ice","Temperature sea ice",tsea_ice)
-   call put_field("sea_ice","Sea ice mass",sea_ice)
- endif!(ok_slab_ocean)
-
-
 ! tracers
   if (nq>0) then
